Retrieve a spousal profile
Retrieve a user's spousal profile information.
This endpoint retrieves the latest version of the spousal profile for a specific user. It includes sensitive personal data.
Endpoint
| Method | Url |
|---|---|
GET | /v1.0/users/:user_id/spousal-profile |
Path Parameters
user_id
•
string
required
The unique identifier of the user whose spousal profile is being retrieved.
Sample Request
bashCopied1curl -X GET 'https://api.worklayer.com/v1.0/users/3b31f309-93ad-463a-ad1d-c39cac1c0a3d/spousal-profile' \2-H 'Authorization: Bearer {token}'
Response
Returns a spousal profile.
Sample Response
jsonCopied1{2 "id": "3b31f309-93ad-463a-ad1d-c39cac1c0a3d",3 "version": 1,4 "owner_user_id": "550e8400-e29b-41d4-a716-446655440000",5 "create_time": "2024-01-01T00:00:00Z",6 "update_time": "2024-01-01T00:00:00Z",7 "occupation": "Teacher",8 "personal_info": {9 "first_name": "Jane",10 "middle_initial": "M",11 "last_name": "Doe",12 "date_of_birth": "01/01/1991",13 "personal_taxpayer_identification_number": "XXX-XX-6789"14 },15 "contact_info": {16 "email": "jane.doe@example.com",17 "phone_number": "+1-555-555-5556",18 "address": {19 "address_line_1": "123 Main St",20 "address_line_2": "Apt 4B",21 "city": "Miami",22 "region": "FL",23 "postal_code": "33134",24 "country": "United States"25 }26 }27}
Errors
404: the user does not yet have a spousal profile403: you're not allowed to retrieve the profile
Next steps
Last updated on March 6, 2026
Privacy PolicyTerms & Conditions© 2026 Taxfyle